package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCarSupport {

    // 0-不支持 1-ETCP

    NOCAR(0, "暂未支持"),
    CAR(1, "停车支持"),
    ;

    public static EnumCarSupport getEnum(Integer code) {
        for (EnumCarSupport value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCarSupport(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
